## groff 1.22.2

=== Makefile ===
# Copyright (C) 1989-2000, 2009 Free Software Foundation, Inc.
#      Written by James Clark (jjc@jclark.com)
# 
# This file is part of groff.
# 
# groff is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# groff is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
# Makefile.init
#
SHELL=/bin/sh

.PHONY: all
all:
	$(SHELL) configure
	$(MAKE) all

## groff 1.18.1.1-11osso3

=== debian/changelog ===
groff (1.18.1.1-11osso3) unstable; urgency=low

  * Proper way of patching/unpatching

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Tue, 29 Jan 2008 12:55:54 +0200

groff (1.18.1.1-11osso2) unstable; urgency=low

  * Add the proposed patch to fix compilation issues with gcc-4.2
    (thanks to Leonid Moiseichuk) Fixes: NB#78573

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Tue, 29 Jan 2008 11:48:55 +0200

groff (1.18.1.1-11osso) unstable; urgency=low

  * don't build groff X11 tools
  * unneeded build dependencies removed

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Thu,  6 Apr 2006 18:59:53 +0300

groff (1.18.1.1-11) unstable; urgency=low

  * Build-depend on x-dev, libx11-dev, libxmu-dev, and libxt-dev rather than
    the transitional xlibs-dev package.
  * Use debhelper v4.

 -- Colin Watson <cjwatson@debian.org>  Fri, 16 Dec 2005 13:28:09 +0000

groff (1.18.1.1-10) unstable; urgency=low

  * Configure gxditview with 'xmkmf -DBuildXaw=NO' to override imake's
    incorrect ideas about library linkage and avoid libXp when linking with
    libXaw7. We don't need Xprint support anyway.
  * Build-depend on just libxaw7-dev, dropping the alternative.

 -- Colin Watson <cjwatson@debian.org>  Tue, 13 Sep 2005 10:38:10 +0100

groff (1.18.1.1-9) unstable; urgency=low

  * Move www.tmac to groff-base (closes: #319506).
  * Fix non-XSI code in groff.postinst (part of #256226).
  * Improve CJK support (closes: #324107):
    - Add support for Chinese GB2312/GBK and BIG5 encodings (in the
      increasingly-misnamed nippon driver), with kinsoku tables borrowed
      from Emacs. Simon Law eyeballed the GB2312/GBK table.
    - Expect UTF-8 input when running under a ko_*.UTF-8 locale. Functional
      Korean support still requires a kinsoku table and a groff font
      covering Hangul.
  * Fix use of DoCharacter() in multibyte case; some calls to it were
    missing the fourth argument (closes: #285524).
  * Policy version 3.6.2. No changes required.

 -- Colin Watson <cjwatson@debian.org>  Wed, 31 Aug 2005 12:54:37 +0100

groff (1.18.1.1-8) unstable; urgency=low

  * Avoid double fclose() in grn, which causes a build failure with glibc
    2.3.5.
  * Move gxditview from /usr/X11R6 to /usr.

 -- Colin Watson <cjwatson@debian.org>  Mon, 23 May 2005 16:34:34 +0100

groff (1.18.1.1-7) unstable; urgency=low

  * Too many fonts are missing the Unicode HYPHEN character, so I give up.
    Render "-" as HYPHEN-MINUS (ASCII 0x2D) by default. (Of course, manual
    pages using "-" when they should be using "\-" should still be fixed.)

 -- Colin Watson <cjwatson@debian.org>  Fri, 18 Mar 2005 17:57:51 +0000

groff (1.18.1.1-6) unstable; urgency=low

  * Refer to /usr/share/doc/groff-base/copyright or
    /usr/share/doc/groff/copyright in the header of all manual pages
    licensed under the GFDL, per GFDL section 6 "COLLECTIONS OF DOCUMENTS"
    (closes: #292229, #292230).

 -- Colin Watson <cjwatson@debian.org>  Wed, 26 Jan 2005 09:28:10 +0000

groff (1.18.1.1-5) unstable; urgency=high

  * Upstream fix for temporary file handling vulnerability in pic2graph
    (closes: #286371).
  * Upstream fix for temporary file handling vulnerability in eqn2graph
    (closes: #286372).

 -- Colin Watson <cjwatson@debian.org>  Mon, 20 Dec 2004 14:26:25 +0000

groff (1.18.1.1-4) unstable; urgency=low

  * Fix use of anonymous structs at top level, which gcc-4.0 doesn't like
    (patch backported from upstream, by Art Haas; closes: #282682).

 -- Colin Watson <cjwatson@debian.org>  Sat, 11 Dec 2004 14:39:11 +0100

groff (1.18.1.1-3) unstable; urgency=low

  * Clarify copyright file (closes: #279904). Some items of documentation
    are under non-free licences; this is exempt for sarge, and in any case
    will be resolved when I update to a new version of groff after sarge.

 -- Colin Watson <cjwatson@debian.org>  Wed, 17 Nov 2004 19:36:29 +0000

groff (1.18.1.1-2) unstable; urgency=high

  * [SECURITY] Fix a race condition in groffer leading to a temporary file
    handling vulnerability (closes: #278265).

 -- Colin Watson <cjwatson@debian.org>  Tue, 26 Oct 2004 23:52:13 +0100

groff (1.18.1.1-1) unstable; urgency=low

  * The "Death! Ride, ride to ruin and the world's ending!" release.
  * New upstream release. The only change is an updated groffer script.
  * Policy version 3.6.1. No changes required.

 -- Colin Watson <cjwatson@debian.org>  Tue, 22 Jun 2004 01:44:41 +0100

groff (1.18.1-15) unstable; urgency=low

  * Create eqn2graph's temporary files in /tmp, not /usr/tmp (thanks, Einar
    Karttunen; closes: #216819). How did I miss this when doing the same for
    pic2graph?

 -- Colin Watson <cjwatson@debian.org>  Fri, 23 Jan 2004 11:37:26 +0000

groff (1.18.1-14) unstable; urgency=low

  * Document Unicode hyphen configuration in README.Debian.

 -- Colin Watson <cjwatson@debian.org>  Sat, 15 Nov 2003 17:43:03 +0000

groff (1.18.1-13) unstable; urgency=low

  * Add sample code to /etc/groff/man.local and /etc/groff/mdoc.local to
    make "-" render as Unicode HYPHEN-MINUS on the utf8 device. This is
    commented out by default because man pages which require this are buggy:
    "\-" should be used instead when a real dash as opposed to a logical
    hyphen is required.
  * Fix some typos in groff(1) (thanks, Göran Weinholt; closes: #181375).

 -- Colin Watson <cjwatson@debian.org>  Thu,  6 Nov 2003 12:52:18 +0000

groff (1.18.1-12) unstable; urgency=low

  * Create pic2graph's temporary files in /tmp, not /usr/tmp (thanks, Alex
    Withers; closes: #216819).

 -- Colin Watson <cjwatson@debian.org>  Tue, 21 Oct 2003 09:24:37 +0100

groff (1.18.1-11) unstable; urgency=low

  * Never recode input or output for the ascii8 device. It doesn't work in
    non-trivial locales, since ascii8 isn't supposed to be prepared for
    input in, say, UTF-8, and the point of ascii8 is to be a trivial hack
    device for use when you know your input encoding is the same as your


=== debian/control ===
Source: groff
Section: text
Priority: important
Maintainer: Colin Watson <cjwatson@debian.org>
Uploaders: Fumitoshi UKAI <ukai@debian.or.jp>
Standards-Version: 3.6.2
Build-Depends: byacc, debhelper (>= 4), gs, netpbm, psutils

Package: groff-base
Architecture: any
Depends: ${shlibs:Depends}
Suggests: groff
Replaces: groff (<< 1.18.1.1-9), jgroff (<< 1.17-1)
Conflicts: groff (<< 1.17-1), jgroff (<< 1.17-1), pmake (<< 1.45-7), troffcvt (<< 1.04-14)
Description: GNU troff text-formatting system (base system components)
 This package contains the traditional UN*X text formatting tools
 troff, nroff, tbl, eqn, and pic. These utilities, together with the
 man-db package, are essential for displaying the on-line manual pages. 
 .
 groff-base is a stripped-down package containing the necessary components
 to read manual pages in ASCII, Latin-1, and UTF-8, plus the PostScript
 device (groff's default). Users who want a full groff installation, with
 the standard set of devices, fonts, macros, and documentation, should
 install the groff package.

Package: groff
Priority: optional
Architecture: any
Depends: groff-base (= ${Source-Version}), ${shlibs:Depends}
Recommends: gs, imagemagick, libpaper1, netpbm, psutils
Provides: jgroff, groff-x11
Conflicts: jgroff (<< 1.17-1), groff-x11 (<< 1.18-1)
Replaces: jgroff (<< 1.17-1), groff-base (<< 1.17.2-9), groff-x11 (<< 1.18-1)
Description: GNU troff text-formatting system
 This package contains optional components of the GNU troff text-formatting
 system. The core package, groff-base, contains the traditional tools like
 troff, nroff, tbl, eqn, and pic. This package contains additional devices
 and drivers for output to DVI, HTML (when the recommended packages gs,
 netpbm, and psutils are installed), HP LaserJet printers, and Canon CAPSL
 LBP-4 and LBP-8 printers.
 .
 The X75, X75-12, X100, and X100-12 devices, which allow groff output to be
 conveniently viewed on an X display using the standard X11 fonts, are now
 included here. They were previously in a separate package, groff-x11.
 .
 Besides these, the groff package contains man pages describing the language
 and its macro sets, info documentation, and a number of supplementary
 programs:
 .
  - gxditview, which is used to display the output of the X* devices, and
    can also be used to view PostScript output from groff;
  - grn, a preprocessor for pictures in the 'gremlin' format;
  - tfmtodit, which creates font files for use with 'groff -Tdvi';
  - hpftodit, which creates font files for use with 'groff -Tlj4';
  - afmtodit, which creates font files for use with 'groff -Tps';
  - refer, which preprocesses bibliographic references for use with groff;
  - indxbib, which creates inverted indices for bibliographic databases used
    by 'refer';
  - lkbib and lookbib, which search bibliographic databases;
  - addftinfo, which adds metric information to troff font files for use
    with groff;
  - pfbtops, which translates a PostScript font in .pfb format to ASCII for
    use with groff;
  - mmroff, a simple groff preprocessor which expands references in mm;
  - pic2graph, which converts PIC diagrams into cropped image files;
  - eqn2graph, which converts EQN equations into cropped image files.
 .
 All the standard macro packages are supported.

=== debian/rules ===
#! /usr/bin/make -f
#
# rules to debianize groff

export DH_OPTIONS

CC  = gcc
CXX = g++
ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS = -O2 -g -Wall
else
CFLAGS = -g -Wall
endif

# From Makefile.in
version  = $(shell cat VERSION)
revision = $(shell sed -e 's/^0$$//' -e 's/^[1-9].*$$/.&/' REVISION)
upstream = $(version)$(revision)
datadir  = usr/share/groff/$(upstream)

fontpath := /$(datadir)/font:/usr/local/share/groff/font
fontpath := $(fontpath):/usr/local/lib/font:/usr/lib/font

gbtmp = debian/groff-base
gtmp  = debian/groff

devbase = ascii ascii8 latin1 nippon ps utf8
devx11  = X100 X100-12 X75 X75-12

#ifeq (,$(findstring no-groff-x11,$(DEB_BUILD_OPTIONS)))
#GROFF_X11 := yes
#else
#GROFF_X11 := no
#endif
GROFF_X11 := no

ifeq ($(GROFF_X11),yes)
BUILD_TARGETS  := build-groff build-groff-x11
else
BUILD_TARGETS  := build-groff
endif
BINARY_TARGETS := binary-groff-base binary-groff
DH_EXCLUDE     := -Ngroff-x11

configure: configure-stamp
configure-stamp: patch
	if [ ! -f Makefile.clean ]; then cp -p Makefile Makefile.clean; fi
	-rm -f config.log config.cache
	CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" \
		PSPRINT=lpr PAGE=A4 \
		./configure --prefix=/usr --mandir=\$${prefix}/share/man \
			    --infodir=\$${prefix}/share/info --enable-multibyte
	touch $@

src/xditview/Makefile: configure
	# This strange BuildXaw tweak reminds imake that we're building with
	# libxaw7, not libxaw8 (per the build-dependencies) and that
	# therefore we don't need to link against libxp.
	cd src/xditview && xmkmf -DBuildXaw=NO

build-arch: $(BUILD_TARGETS)
build-indep:
build: build-arch build-indep

build-groff: configure
	dh_testdir
	touch configure		# avoid autoconf build-dependency
	$(MAKE) extratmacdirs=/usr/share/groff/tmac
	GROFF_NO_SGR=1 $(MAKE) -C doc meintro.txt meref.txt pic.txt
	touch $@

ifeq ($(GROFF_X11),yes)
build-groff-x11: src/xditview/Makefile
	dh_testdir
	touch configure		# avoid autoconf build-dependency
	$(MAKE) -C src/xditview depend
	$(MAKE) -C src/xditview FONTPATH=$(fontpath)
	touch $@
endif

clean: unpatch
	dh_testdir
	dh_testroot
	touch configure		# avoid autoconf build-dependency
	rm -f man/index.* 
	find . -name tags | xargs -r rm -f
	find . -name '*.cc.combine' | xargs -r rm -f
	-$(MAKE) -C doc -i extraclean
	-$(MAKE) -C src/xditview extraclean
	-$(MAKE) -i realclean extraclean
	rm -f src/xditview/Imakefile src/xditview/Makefile
	dh_clean configure-stamp build-stamp
	rm -f debian/groff-base.files debian/groff-base.links
	rm -f config.log config.cache config.status
	if [ -f Makefile.clean ]; then mv -f Makefile.clean Makefile; fi

%: %.in
	sed -e 's/@VERSION@/$(upstream)/g' $< > $@

patch: patch-stamp
patch-stamp:
	if [ -e unpatch-stamp ] || [ ! -e patch-stamp ] ; then \
		patch -d $(CURDIR) -p1 < debian/gcc-4.2.patch ; \
	fi
	-rm -f unpatch-stamp
	touch $@

unpatch: unpatch-stamp
unpatch-stamp: 
	if [ ! -e unpatch-stamp ] && [ -e patch-stamp ] ; then \
		patch -d $(CURDIR) -p1 -R < debian/gcc-4.2.patch ; \
	fi
	-rm -f patch-stamp
	touch $@

install: DH_OPTIONS=
install: build debian/groff-base.files
	dh_testdir
	dh_testroot
	dh_clean -k -a
	dh_installdirs -a
	$(MAKE) install prefix=$(CURDIR)/$(gtmp)/usr \
			docdir=$(CURDIR)/$(gtmp)/usr/share/doc/groff-base \
			INSTALL_INFO=:
	dh_movefiles -pgroff-base --sourcedir=debian/groff
	dh_installdirs -pgroff-base $(datadir)/font
	set -e; for x in $(devbase); do \
		mv $(gtmp)/$(datadir)/font/dev$$x $(gbtmp)/$(datadir)/font/; \
	done
ifeq ($(GROFF_X11),yes)
	install -m755 src/xditview/gxditview $(gtmp)/usr/bin/gxditview
	install -m644 src/xditview/GXditview.ad \
		$(gtmp)/etc/X11/app-defaults/GXditview
else
	set -e; for x in $(devx11); do \
		rm -rf $(gtmp)/$(datadir)/font/dev$$x; \
	done
endif

binary-indep:

binary-groff-base: DH_OPTIONS=-pgroff-base
binary-groff-base: install debian/groff-base.links
	dh_testdir
	dh_testroot
	# Conffiles should go in /etc
	mv $(gbtmp)/usr/share/groff/site-tmac $(gbtmp)/etc/groff
	# Debian additions to *.local
	cat debian/mandoc.local >> $(gbtmp)/etc/groff/man.local
	cat debian/mandoc.local >> $(gbtmp)/etc/groff/mdoc.local
	# Scripts should be executable
	chmod +x $(gbtmp)/$(datadir)/font/devps/generate/afmname \
		 $(gbtmp)/$(datadir)/font/devps/generate/symbol.sed
	dh_installdocs
	dh_installmime
	dh_installchangelogs ChangeLog
	dh_link

binary-groff: DH_OPTIONS=-pgroff
binary-groff: install
	dh_testdir
	dh_testroot
	# Scripts should be executable
	chmod +x $(gtmp)/$(datadir)/font/devdvi/generate/CompileFonts
	# Now in groff-base
	rmdir $(gtmp)/usr/lib/groff/site-tmac   || true
	rmdir $(gtmp)/usr/share/groff/site-tmac || true
	# 'make install' creates this directory when installing documentation.
	dh_link usr/share/doc/groff-base usr/share/doc/groff
	dh_installdocs -Xcopyright
ifeq ($(GROFF_X11),yes)
	install -m644 src/xditview/ChangeLog \
		      $(gtmp)/usr/share/doc/groff/ChangeLog.gxditview
	dh_installman src/xditview/gxditview._man
endif
	dh_installinfo doc/groff doc/groff-[0-9]*
	dh_link

binary-arch: DH_OPTIONS=-a $(DH_EXCLUDE)
binary-arch: $(BINARY_TARGETS)
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	maemo-optify
	dh_builddeb
ifneq ($(GROFF_X11),yes)
	@echo
	@echo "=========================================================="
	@echo "WARNING! groff has been built without X support."
	@echo "Please do not upload these packages to the Debian archive!"
	@echo "=========================================================="
	@echo
endif

binary: binary-indep binary-arch

.PHONY: configure build build-arch build-indep clean install
.PHONY: binary binary-arch binary-indep binary-groff-base binary-groff

## groff 1.20.1

=== debian/changelog ===
groff (1.20.1-10) unstable; urgency=low

  * Handle ditroff command `Dt' without argument gracefully (closes:
    #579890).

 -- Colin Watson <cjwatson@debian.org>  Sun, 09 May 2010 12:57:58 +0100

groff (1.20.1-9) unstable; urgency=low

  * Convert to source format 3.0 (quilt).
  * Add a 'quilt-setup' target to debian/rules for the benefit of those
    checking out the package from revision control.
  * All patches are now maintained separately and tagged according to DEP-3.

 -- Colin Watson <cjwatson@debian.org>  Mon, 01 Mar 2010 19:50:42 +0000

groff (1.20.1-8) unstable; urgency=low

  * Add a watch file.
  * Add mdoc support for FreeBSD 7.2, 7.3, 8.0, and IEEE Std 1003.1-2008.

 -- Colin Watson <cjwatson@debian.org>  Mon, 22 Feb 2010 10:08:09 +0000

groff (1.20.1-7) unstable; urgency=low

  * Use /bin/bash for grap2graph due to use of $RANDOM, as for eqn2graph and
    pic2graph.
  * Fix some unnecessary bashisms in gdiffmk (closes: #547750).
  * Use 'dh_installdocs --link-doc' option from debhelper 7.4.2.
  * Use POSIX-compliant 'trap' syntax (closes: #256226; the other problems
    identified in this bug were fixed some time ago).
  * Honour /etc/papersize in DVI output.
  * Remove contrib/pdfmark/groff-pdfroff.* on clean.
  * Preserve src/preproc/eqn/eqn.cpp, src/preproc/eqn/eqn_tab.h,
    src/preproc/pic/pic.cpp, src/preproc/pic/pic_tab.h, and
    src/preproc/refer/label.cpp, and restore them after running 'make
    realclean' to avoid a large diff.

 -- Colin Watson <cjwatson@debian.org>  Fri, 19 Feb 2010 23:37:25 +0000

groff (1.20.1-6) unstable; urgency=low

  * Use dh_auto_install and dh_install.
  * Convert to dh(1).
  * Make /usr/share/groff/1.20.1/font/devlj4/generate/special.awk
    executable.
  * Move europs.tmac to groff-base (closes: #546844).

 -- Colin Watson <cjwatson@debian.org>  Wed, 16 Sep 2009 09:51:21 +0100

groff (1.20.1-5) unstable; urgency=low

  * Upgrade to debhelper v7. (There's still lots of complexity here, so no
    dh(1).)
  * Remove Fumitoshi UKAI from Uploaders, with thanks for his previous work.
    Just shout if you want to be added back (closes: #541019).
  * Unset IFS at nroff startup (closes: #541621).
  * Patch from Openwall to fix temporary file handling vulnerabilities in
    pdfroff (closes: #538330).
  * Use -dSAFER when calling gs from pdfroff (thanks, brian m. carlson;
    closes: #538338).

 -- Colin Watson <cjwatson@debian.org>  Sat, 15 Aug 2009 09:01:47 +0100

groff (1.20.1-4) unstable; urgency=low

  * Move devtag.tmac and papersize.tmac to groff-base (thanks, Niko Tyni;
    closes: #537767).

 -- Colin Watson <cjwatson@debian.org>  Tue, 21 Jul 2009 06:01:02 +0100

groff (1.20.1-3) unstable; urgency=low

  * Tell 'make' (as well as 'make install') about docdir, so that it gets
    substituted properly into manual pages.
  * Adjust pic(1) and pdfroff(1) references to account for compression
    (closes: #498356).
  * Backport from upstream, fixing "bad character definition" warnings:
    - tmac/doc.tmac: Call `ec' before mapping characters.

 -- Colin Watson <cjwatson@debian.org>  Mon, 20 Jul 2009 10:11:43 +0100

groff (1.20.1-2) unstable; urgency=low

  * Make sure /usr/share/groff/current is only in groff-base, not also in
    groff (closes: #537667).
  * Bump groff-base Replaces: groff version to include 1.20.1-1, just in
    case the above bug confused some dpkg databases into believing that
    /usr/share/groff/current is owned by groff.

 -- Colin Watson <cjwatson@debian.org>  Mon, 20 Jul 2009 08:26:22 +0100

groff (1.20.1-1) unstable; urgency=low

  * New upstream release (closes: #196762, #415754). See the NEWS file for
    full details of improvements, to which I can't do justice here, but
    items relevant to Debian bug reports include:
    - Unicode input support has been very much improved, including a new
      'preconv' preprocessor which converts various input encodings to
      something groff can understand directly (closes: #322760), which also
      allows us to avoid the old and rather broken ascii8 device (closes:
      #533778); support for composite glyphs; and localisation files for
      several languages.
    - mdoc .Dt now allows overriding the volume name (closes: #176575).
    - Backquote formatting fixed in groff(1) (closes: #184603).
    - HTML output much improved, including a DOCTYPE (closes: #190209).
    - \[an] is now U+23AF, not U+2500 (closes: #382265).
    - rs/rq typo fixed in groff(7) (closes: #402854).
    - pic now supports up to 32 macro arguments, and ignores further
      arguments rather than crashing (closes: #453260).
  * Dropped multibyte patch. CJK is partially supported by way of Unicode
    input, but widths are wrong and proper line breaking is not implemented;
    this is planned to be added by way of "character classes". However, I
    can't justify holding new groff code out of Debian any longer when CJK
    manual pages can more or less be read with the new release.
  * Since the M and G fonts no longer exist:
    - \f5 and \f6 no longer break (closes: #227091);
    - We no longer get spurious devdvi font errors (closes: #194041);
    - We no longer fail to italicise or underline CJK text (closes:
      #288382).
    - Angle brackets around URLs no longer have broken widths (closes:
      #522323).
  * Add localisation macro files to groff-base.
  * Adjust #! line of font/devlj4/generate/special.awk; awk is in
    /usr/bin/awk on Debian, not /bin/awk.
  * Add preconv to groff-base.
  * Imported into a branch on bzr.debian.org; add Vcs-Bzr control field.

 -- Colin Watson <cjwatson@debian.org>  Sun, 19 Jul 2009 23:06:42 +0100

groff (1.18.1.1-22) unstable; urgency=low

  * Fix bug number for groffer fix in previous changelog entry.
  * If the ascii8 device is used, pass through the input encoding even if
    LC_CTYPE=C (closes: #519367).
  * Build-depend on and recommend ghostscript rather than the obsolete
    package gs.



=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: text
 Priority: important
 Maintainer: Colin Watson <cjwatson@debian.org>
-Uploaders: Fumitoshi UKAI <ukai@debian.or.jp>
 Standards-Version: 3.6.2
-Build-Depends: byacc, debhelper (>= 4), gs, netpbm, psutils
+Build-Depends: byacc, debhelper (>= 7.4.2), ghostscript, netpbm, psutils, xutils-dev, x11proto-core-dev, libx11-dev, libxmu-dev, libxt-dev, libxaw7-dev
+Vcs-Bzr: http://bzr.debian.org/users/cjwatson/groff/trunk
+Vcs-Browser: http://bzr.debian.org/loggerhead/users/cjwatson/groff/trunk
 
 Package: groff-base
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: groff
-Replaces: groff (<< 1.18.1.1-9), jgroff (<< 1.17-1)
+Replaces: groff (<< 1.20.1-6), jgroff (<< 1.17-1)
 Conflicts: groff (<< 1.17-1), jgroff (<< 1.17-1), pmake (<< 1.45-7), troffcvt (<< 1.04-14)
 Description: GNU troff text-formatting system (base system components)
  This package contains the traditional UN*X text formatting tools
@@ -26,8 +27,8 @@
 Package: groff
 Priority: optional
 Architecture: any
-Depends: groff-base (= ${Source-Version}), ${shlibs:Depends}
-Recommends: gs, imagemagick, libpaper1, netpbm, psutils
+Depends: groff-base (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Recommends: ghostscript, imagemagick, libpaper1, netpbm, psutils
 Provides: jgroff, groff-x11
 Conflicts: jgroff (<< 1.17-1), groff-x11 (<< 1.18-1)
 Replaces: jgroff (<< 1.17-1), groff-base (<< 1.17.2-9), groff-x11 (<< 1.18-1)
@@ -35,9 +36,9 @@
  This package contains optional components of the GNU troff text-formatting
  system. The core package, groff-base, contains the traditional tools like
  troff, nroff, tbl, eqn, and pic. This package contains additional devices
- and drivers for output to DVI, HTML (when the recommended packages gs,
- netpbm, and psutils are installed), HP LaserJet printers, and Canon CAPSL
- LBP-4 and LBP-8 printers.
+ and drivers for output to DVI, HTML (when the recommended packages
+ ghostscript, netpbm, and psutils are installed), HP LaserJet printers, and
+ Canon CAPSL LBP-4 and LBP-8 printers.
  .
  The X75, X75-12, X100, and X100-12 devices, which allow groff output to be
  conveniently viewed on an X display using the standard X11 fonts, are now

=== debian/rules ===
#! /usr/bin/make -f
build clean install binary-arch binary-indep binary:
	dh $@

export DH_OPTIONS

CC  = gcc
CXX = g++
ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS = -O2 -g -Wall
else
CFLAGS = -g -Wall
endif

# From Makefile.in
version  = $(shell cat VERSION)
revision = $(shell sed -e 's/^0$$//' -e 's/^[1-9].*$$/.&/' REVISION)
upstream = $(version)$(revision)
datadir  = usr/share/groff/$(upstream)

gbtmp = debian/groff-base
gtmp  = debian/groff

ifeq (,$(filter no-groff-x11,$(DEB_BUILD_OPTIONS)))
GROFF_X11 := yes
else
GROFF_X11 := no
endif

ifeq ($(GROFF_X11),no)
  confflags += --without-x
endif

# We need to take some care to preserve these files in their original state
# in the source package, as they may get rebuilt or otherwise changed.
PRESERVE := Makefile \
	doc/groff.info doc/groff.info-1 doc/groff.info-2 doc/groff.info-3 \
	src/preproc/eqn/eqn.cpp src/preproc/eqn/eqn_tab.h \
	src/preproc/pic/pic.cpp src/preproc/pic/pic_tab.h \
	src/preproc/refer/label.cpp

override_dh_auto_configure:
	set -e; for f in $(PRESERVE); do \
		if [ ! -f $$(dirname $$f)/clean-$$(basename $$f) ]; then \
			cp -p $$f $$(dirname $$f)/clean-$$(basename $$f); \
		fi; \
	done
	-rm -f config.log config.cache
	CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" \
		PSPRINT=lpr PAGE=A4 \
		dh_auto_configure -- $(confflags) \
			--with-appresdir=/etc/X11/app-defaults

override_dh_auto_build:
	touch configure		# avoid autoconf build-dependency
	$(MAKE) extratmacdirs=/usr/share/groff/tmac \
		docdir=\$${prefix}/share/doc/groff-base
	GROFF_NO_SGR=1 $(MAKE) -C doc meintro.txt meref.txt pic.txt

override_dh_auto_clean:
	touch configure		# avoid autoconf build-dependency
	# doc/Makefile defines the set of cleaned files differently from
	# doc/Makefile.sub, so bizarrely we need to call this separately.
	[ ! -f doc/Makefile ] || $(MAKE) -C doc -i extraclean
	if [ -f Makefile ] && [ -f clean-Makefile ]; then \
		$(MAKE) -i realclean extraclean; \
	fi

override_dh_clean:
	find . -name tags | xargs -r rm -f
	find . -name '*.cc.combine' | xargs -r rm -f
	rm -rf contrib/pdfmark/groff-pdfroff.*
	dh_clean build-groff
	set -e; for f in $(PRESERVE); do \
		if [ -f $$(dirname $$f)/clean-$$(basename $$f) ]; then \
			mv -f $$(dirname $$f)/clean-$$(basename $$f) $$f; \
		fi; \
	done

override_dh_auto_install:
	dh_auto_install -- \
		docdir=\$${prefix}/share/doc/groff-base \
		INSTALL_INFO=:

%: %.in
	sed -e 's/@VERSION@/$(upstream)/g' $< > $@

override_dh_install:
	$(MAKE) -f debian/rules \
		debian/groff-base.dirs \
		debian/groff-base.install \
		debian/groff.install
	dh_install --fail-missing
	# Debian additions to *.local
	cat debian/mandoc.local >> $(gbtmp)/etc/groff/man.local
	cat debian/mandoc.local >> $(gbtmp)/etc/groff/mdoc.local
	# Scripts should be executable
	chmod +x $(gbtmp)/$(datadir)/font/devps/generate/afmname \
		 $(gbtmp)/$(datadir)/font/devps/generate/symbol.sed
	chmod +x $(gtmp)/$(datadir)/font/devdvi/generate/CompileFonts \
		 $(gtmp)/$(datadir)/font/devlj4/generate/special.awk

override_dh_installdocs:
	dh_installdocs -pgroff-base
	dh_installdocs -pgroff -Xcopyright --link-doc=groff-base

override_dh_installchangelogs:
	dh_installchangelogs -pgroff-base

override_dh_builddeb:
	dh_builddeb
ifneq ($(GROFF_X11),yes)
	@echo
	@echo "=========================================================="
	@echo "WARNING! groff has been built without X support."
	@echo "Please do not upload these packages to the Debian archive!"
	@echo "=========================================================="
	@echo
endif

# You only need to run this immediately after checking out the package from
# revision control.
quilt-setup:
	[ ! -d .pc ]
	set -e; for patch in $$(quilt series | tac); do \
		patch -p1 -R --no-backup-if-mismatch <"debian/patches/$$patch"; \
	done
	quilt push -a

.PHONY: build clean install binary-arch binary-indep binary quilt-setup

## groff 1.21

=== debian/changelog ===
groff (1.21-9) unstable; urgency=low

  * Pass build flags in a few more places (based on a patch from Simon
    Ruderich; closes: #653852).

 -- Colin Watson <cjwatson@debian.org>  Mon, 25 Jun 2012 01:32:46 +0100

groff (1.21-8) unstable; urgency=low

  * Use dpkg-buildflags to enable hardening options (based on a patch from
    Moritz Muehlenhoff; closes: #653852).
  * Adjust paths in groff_mom(7) (closes: #611904).

 -- Colin Watson <cjwatson@debian.org>  Fri, 22 Jun 2012 13:11:24 +0100

groff (1.21-7) unstable; urgency=low

  * Make groff-base and groff Multi-Arch: foreign.
  * Support cross-building.

 -- Colin Watson <cjwatson@debian.org>  Sun, 01 Apr 2012 02:00:26 +0100

groff (1.21-6) unstable; urgency=low

  * Add mdoc support for various BSD versions (thanks, Guillem Jover;
    closes: #629159).

 -- Colin Watson <cjwatson@debian.org>  Mon, 06 Jun 2011 12:09:05 +0100

groff (1.21-5) unstable; urgency=low

  * Fix -mm .RD macro to use .if rather than .ie (thanks, James Avera;
    LP: #738169).

 -- Colin Watson <cjwatson@debian.org>  Sat, 19 Mar 2011 22:48:00 +0000

groff (1.21-4) unstable; urgency=low

  * Upload to unstable.

 -- Colin Watson <cjwatson@debian.org>  Tue, 08 Feb 2011 10:29:38 +0000

groff (1.21-3) experimental; urgency=low

  * Go back to installing groff.info from the source directory, not the
    build directory; timestamps are such that make won't rebuild it (closes:
    #609459).

 -- Colin Watson <cjwatson@debian.org>  Tue, 11 Jan 2011 03:37:52 +0000

groff (1.21-2) experimental; urgency=low

  * Build-depend on texinfo (closes: #609459).
  * Only emit a single backspace for bold/underline in no-SGR mode.

 -- Colin Watson <cjwatson@debian.org>  Mon, 10 Jan 2011 19:48:58 +0000

groff (1.21-1) experimental; urgency=low

  * New upstream release:
    - New warning category 'file'.  (man-db uses this as part of
      automatically enabling language-specific hyphenation rules, which
      should now work.)
    - CJK line-breaking and hyphenation support (closes: #552201).
    - Fix typo in groff_man(7) (closes: #369254).
    - Fix typo in "Character Translations" info node (closes: #450434).
    - Fix white heart and diamond Unicode values in groff_char(7) (closes:
      #540477).
    - Point to troff(1) for -w and -W in groff(1) (closes: #545807).
  * Document reasons for groff's Recommends in its package description
    (closes: #599648).
  * Switch build-dependency from byacc to bison, as that's what was used to
    generate the parsers in the 1.21 release.
  * Force YACC='bison -y' when configuring, to avoid problems if byacc is
    also installed.
  * Use a separate build directory, eliminating the requirement to preserve
    some files by hand.
  * Policy version 3.9.1:
    - Rename debian/README.build to debian/README.source.
    - Add a Homepage field.
    - Refer to /usr/share/common-licenses/GFDL-1.3 in debian/copyright
      rather than quoting it (although the GPL v3 governs this package, as
      explained in detail in debian/copyright).
    - Use Breaks rather than Conflicts.

 -- Colin Watson <cjwatson@debian.org>  Sun, 09 Jan 2011 13:15:30 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: text
 Priority: important
 Maintainer: Colin Watson <cjwatson@debian.org>
-Standards-Version: 3.6.2
-Build-Depends: byacc, debhelper (>= 7.4.2), ghostscript, netpbm, psutils, xutils-dev, x11proto-core-dev, libx11-dev, libxmu-dev, libxt-dev, libxaw7-dev
+Standards-Version: 3.9.1
+Build-Depends: bison (>= 1:1.875b), debhelper (>= 7.4.2), dpkg-dev (>= 1.15.7~), ghostscript, netpbm, psutils, xutils-dev, x11proto-core-dev, libx11-dev, libxmu-dev, libxt-dev, libxaw7-dev, texinfo (>= 4.8)
+Homepage: http://groff.ffii.org/
 Vcs-Bzr: http://bzr.debian.org/users/cjwatson/groff/trunk
 Vcs-Browser: http://bzr.debian.org/loggerhead/users/cjwatson/groff/trunk
 
@@ -12,7 +13,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: groff
 Replaces: groff (<< 1.20.1-6), jgroff (<< 1.17-1)
-Conflicts: groff (<< 1.17-1), jgroff (<< 1.17-1), pmake (<< 1.45-7), troffcvt (<< 1.04-14)
+Breaks: groff (<< 1.17-1), jgroff (<< 1.17-1), pmake (<< 1.45-7), troffcvt (<< 1.04-14)
+Multi-Arch: foreign
 Description: GNU troff text-formatting system (base system components)
  This package contains the traditional UN*X text formatting tools
  troff, nroff, tbl, eqn, and pic. These utilities, together with the
@@ -30,15 +32,16 @@
 Depends: groff-base (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: ghostscript, imagemagick, libpaper1, netpbm, psutils
 Provides: jgroff, groff-x11
-Conflicts: jgroff (<< 1.17-1), groff-x11 (<< 1.18-1)
+Breaks: jgroff (<< 1.17-1), groff-x11 (<< 1.18-1)
 Replaces: jgroff (<< 1.17-1), groff-base (<< 1.17.2-9), groff-x11 (<< 1.18-1)
+Multi-Arch: foreign
 Description: GNU troff text-formatting system
  This package contains optional components of the GNU troff text-formatting
  system. The core package, groff-base, contains the traditional tools like
  troff, nroff, tbl, eqn, and pic. This package contains additional devices
- and drivers for output to DVI, HTML (when the recommended packages
- ghostscript, netpbm, and psutils are installed), HP LaserJet printers, and
- Canon CAPSL LBP-4 and LBP-8 printers.
+ and drivers for output to DVI, HTML (when recommended packages are
+ installed - see below), HP LaserJet printers, and Canon CAPSL LBP-4 and
+ LBP-8 printers.
  .
  The X75, X75-12, X100, and X100-12 devices, which allow groff output to be
  conveniently viewed on an X display using the standard X11 fonts, are now
@@ -67,3 +70,10 @@
   - eqn2graph, which converts EQN equations into cropped image files.
  .
  All the standard macro packages are supported.
+ .
+ Some facilities only work if certain recommended packages are installed:
+ .
+  - ghostscript, netpbm, psutils: required for HTML output;
+  - imagemagick: required for the pic2graph and eqn2graph programs;
+  - libpaper1: paper size detection in dvi, lbp, lj4, and ps devices (falls
+    back to a4 if not installed).

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,17 @@
 #! /usr/bin/make -f
 build clean install binary-arch binary-indep binary:
-	dh $@
+	dh --builddirectory=debian/build $@
 
 export DH_OPTIONS
 
-CC  = gcc
-CXX = g++
-ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-CFLAGS = -O2 -g -Wall
-else
-CFLAGS = -g -Wall
-endif
+CPPFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
+CFLAGS += -Wall
+CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
+CXXFLAGS += -Wall
+LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
+buildflags := CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" \
+	      CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 # From Makefile.in
 version  = $(shell cat VERSION)
@@ -31,51 +32,72 @@
   confflags += --without-x
 endif
 
-# We need to take some care to preserve these files in their original state
-# in the source package, as they may get rebuilt or otherwise changed.
-PRESERVE := Makefile \
-	doc/groff.info doc/groff.info-1 doc/groff.info-2 doc/groff.info-3 \
-	src/preproc/eqn/eqn.cpp src/preproc/eqn/eqn_tab.h \
-	src/preproc/pic/pic.cpp src/preproc/pic/pic_tab.h \
-	src/preproc/refer/label.cpp
+DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+
+confflags_gnulib = --build=$(DEB_BUILD_GNU_TYPE)
+ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+  confflags_gnulib += --host=$(DEB_HOST_GNU_TYPE)
+endif
 
 override_dh_auto_configure:
-	set -e; for f in $(PRESERVE); do \
-		if [ ! -f $$(dirname $$f)/clean-$$(basename $$f) ]; then \
-			cp -p $$f $$(dirname $$f)/clean-$$(basename $$f); \
-		fi; \
-	done
 	-rm -f config.log config.cache
-	CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" \
-		PSPRINT=lpr PAGE=A4 \
+	$(buildflags) YACC='bison -y' PSPRINT=lpr PAGE=A4 \
 		dh_auto_configure -- $(confflags) \
 			--with-appresdir=/etc/X11/app-defaults
+	mkdir -p debian/build/src/libs/gnulib
+	cd debian/build/src/libs/gnulib && \
+		$(buildflags) \
+		$(CURDIR)/src/libs/gnulib/configure $(confflags_gnulib)
+ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+	$(buildflags) YACC='bison -y' PSPRINT=lpr PAGE=A4 \
+		DEB_HOST_GNU_TYPE=$(DEB_BUILD_GNU_TYPE) \
+		dh_auto_configure --builddirectory=debian/build-native -- \
+			$(confflags) \
+			--with-appresdir=/etc/X11/app-defaults
+endif
+
+ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+  cross :=
+else
+  native_tmp := $(CURDIR)/debian/build-native
+  groff_bin_dirs := \
+	$(native_tmp)/src/roff/groff \
+	$(native_tmp)/src/roff/troff \
+	$(native_tmp)/src/preproc/pic \
+	$(native_tmp)/src/preproc/eqn \
+	$(native_tmp)/src/preproc/tbl \
+	$(native_tmp)/src/preproc/grn \
+	$(native_tmp)/src/preproc/refer \
+	$(native_tmp)/src/preproc/soelim \
+	$(native_tmp)/src/preproc/html \
+	$(native_tmp)/src/devices/grops \
+	$(native_tmp)/src/devices/grodvi \
+	$(native_tmp)/src/devices/grotty \
+	$(native_tmp)/src/devices/grolj4 \
+	$(native_tmp)/src/devices/grolbp \
+	$(native_tmp)/src/devices/grohtml
+  empty :=
+  space := $(empty) $(empty)
+  cross := \
+	TROFFBIN=$(native_tmp)/src/roff/troff/troff \
+	GROFFBIN=$(native_tmp)/src/roff/groff/groff \
+	GROFF_BIN_DIR=$(native_tmp)/src/roff/groff \
+	GROFF_BIN_PATH=$(subst $(space),:,$(groff_bin_dirs))
+endif
 
 override_dh_auto_build:
 	touch configure		# avoid autoconf build-dependency
-	$(MAKE) extratmacdirs=/usr/share/groff/tmac \
+ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+	$(MAKE) -C debian/build-native \
+		extratmacdirs=/usr/share/groff/tmac \
 		docdir=\$${prefix}/share/doc/groff-base
-	GROFF_NO_SGR=1 $(MAKE) -C doc meintro.txt meref.txt pic.txt
-
-override_dh_auto_clean:
-	touch configure		# avoid autoconf build-dependency
-	# doc/Makefile defines the set of cleaned files differently from
-	# doc/Makefile.sub, so bizarrely we need to call this separately.
-	[ ! -f doc/Makefile ] || $(MAKE) -C doc -i extraclean
-	if [ -f Makefile ] && [ -f clean-Makefile ]; then \
-		$(MAKE) -i realclean extraclean; \
-	fi
-
-override_dh_clean:
-	find . -name tags | xargs -r rm -f
-	find . -name '*.cc.combine' | xargs -r rm -f
-	rm -rf contrib/pdfmark/groff-pdfroff.*
-	dh_clean build-groff
-	set -e; for f in $(PRESERVE); do \
-		if [ -f $$(dirname $$f)/clean-$$(basename $$f) ]; then \
-			mv -f $$(dirname $$f)/clean-$$(basename $$f) $$f; \
-		fi; \
-	done
+endif
+	$(MAKE) -C debian/build \
+		extratmacdirs=/usr/share/groff/tmac \
+		docdir=\$${prefix}/share/doc/groff-base $(cross)
+	GROFF_NO_SGR=1 $(MAKE) -C debian/build/doc $(cross) \
+		meintro.txt meref.txt pic.txt
 
 override_dh_auto_install:
 	dh_auto_install -- \

## groff 1.22.1

=== debian/changelog ===
groff (1.22.1-3) unstable; urgency=low

  * When cross-building, unset CONFIG_SITE for the native build pass.
  * Support parallel builds.

 -- Colin Watson <cjwatson@debian.org>  Sat, 09 Feb 2013 12:01:18 +0000

groff (1.22.1-2) unstable; urgency=low

  * Fix mom-pdf.pdf symlink broken by compression (closes: #697678).

 -- Colin Watson <cjwatson@debian.org>  Tue, 08 Jan 2013 12:09:43 +0000

groff (1.22.1-1) unstable; urgency=low

  * New upstream release (LP: #1095075).
  * Use xz compression for binary packages.
  * Use 'dh $@ --options' rather than 'dh --options $@', for
    forward-compatibility with debhelper v8.
  * Use dh-autoreconf.
  * Change Homepage from http://groff.ffii.org/ to
    https://www.gnu.org/software/groff/.  Suggested by Bernd Warken.
  * Don't compress *.mom examples.  They're not all that large, and this
    allows dropping a manual page patch against upstream.
  * Recommend perl for gropdf.

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Jan 2013 16:26:07 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: important
 Maintainer: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.9.1
-Build-Depends: bison (>= 1:1.875b), debhelper (>= 7.4.2), dpkg-dev (>= 1.15.7~), ghostscript, netpbm, psutils, xutils-dev, x11proto-core-dev, libx11-dev, libxmu-dev, libxt-dev, libxaw7-dev, texinfo (>= 4.8)
-Homepage: http://groff.ffii.org/
+Build-Depends: bison (>= 1:1.875b), debhelper (>= 7.4.2), dpkg-dev (>= 1.15.7~), ghostscript, netpbm, psutils, xutils-dev, x11proto-core-dev, libx11-dev, libxmu-dev, libxt-dev, libxaw7-dev, texinfo (>= 4.8), dh-autoreconf
+Homepage: https://www.gnu.org/software/groff/
 Vcs-Bzr: http://bzr.debian.org/users/cjwatson/groff/trunk
 Vcs-Browser: http://bzr.debian.org/loggerhead/users/cjwatson/groff/trunk
 
@@ -30,7 +30,7 @@
 Priority: optional
 Architecture: any
 Depends: groff-base (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Recommends: ghostscript, imagemagick, libpaper1, netpbm, psutils
+Recommends: ghostscript, imagemagick, libpaper1, netpbm, perl, psutils
 Provides: jgroff, groff-x11
 Breaks: jgroff (<< 1.17-1), groff-x11 (<< 1.18-1)
 Replaces: jgroff (<< 1.17-1), groff-base (<< 1.17.2-9), groff-x11 (<< 1.18-1)
@@ -40,8 +40,8 @@
  system. The core package, groff-base, contains the traditional tools like
  troff, nroff, tbl, eqn, and pic. This package contains additional devices
  and drivers for output to DVI, HTML (when recommended packages are
- installed - see below), HP LaserJet printers, and Canon CAPSL LBP-4 and
- LBP-8 printers.
+ installed - see below), PDF, HP LaserJet printers, and Canon CAPSL LBP-4
+ and LBP-8 printers.
  .
  The X75, X75-12, X100, and X100-12 devices, which allow groff output to be
  conveniently viewed on an X display using the standard X11 fonts, are now
@@ -67,7 +67,8 @@
     use with groff;
   - mmroff, a simple groff preprocessor which expands references in mm;
   - pic2graph, which converts PIC diagrams into cropped image files;
-  - eqn2graph, which converts EQN equations into cropped image files.
+  - eqn2graph, which converts EQN equations into cropped image files;
+  - pdfmom, which runs 'groff -mom' to produce PDFs.
  .
  All the standard macro packages are supported.
  .
@@ -76,4 +77,5 @@
   - ghostscript, netpbm, psutils: required for HTML output;
   - imagemagick: required for the pic2graph and eqn2graph programs;
   - libpaper1: paper size detection in dvi, lbp, lj4, and ps devices (falls
-    back to a4 if not installed).
+    back to a4 if not installed);
+  - perl: required for PDF output.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #! /usr/bin/make -f
 build clean install binary-arch binary-indep binary:
-	dh --builddirectory=debian/build $@
+	dh $@ --builddirectory=debian/build --with=autoreconf --parallel
 
 export DH_OPTIONS
 
@@ -40,6 +40,9 @@
   confflags_gnulib += --host=$(DEB_HOST_GNU_TYPE)
 endif
 
+override_dh_autoreconf:
+	dh_autoreconf autoreconf -- -f -i -I m4
+
 override_dh_auto_configure:
 	-rm -f config.log config.cache
 	$(buildflags) YACC='bison -y' PSPRINT=lpr PAGE=A4 \
@@ -52,6 +55,7 @@
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 	$(buildflags) YACC='bison -y' PSPRINT=lpr PAGE=A4 \
 		DEB_HOST_GNU_TYPE=$(DEB_BUILD_GNU_TYPE) \
+		env -u CONFIG_SITE \
 		dh_auto_configure --builddirectory=debian/build-native -- \
 			$(confflags) \
 			--with-appresdir=/etc/X11/app-defaults
@@ -129,8 +133,15 @@
 override_dh_installchangelogs:
 	dh_installchangelogs -pgroff-base
 
+override_dh_compress:
+	dh_compress -X.mom
+	# Fix symlink broken by compression
+	rm $(gtmp)/usr/share/doc/groff-base/pdf/mom-pdf.pdf
+	ln -s ../examples/mom/mom-pdf.pdf.gz \
+	      $(gtmp)/usr/share/doc/groff-base/pdf/mom-pdf.pdf.gz
+
 override_dh_builddeb:
-	dh_builddeb
+	dh_builddeb -- -Zxz
 ifneq ($(GROFF_X11),yes)
 	@echo
 	@echo "=========================================================="
